Package twisted :: Package web :: Module client :: Class HTTPPageGetter

[show private | hide private]
[frames | no frames]

## Class HTTPPageGetter

    BaseProtocol --+
                   |
            Protocol --+
                       |
            LineReceiver --+
                           |
                  HTTPClient --+
                               |
                              HTTPPageGetter

Known Subclasses:
  `HTTPPageDownloader`

Method Summary
| ``connectionFailed`(self)` (Deprecated) (inherited from `Protocol`)
| ``connectionLost`(self, reason)` Called when the connection is shut down.
| ``connectionMade`(self)` Called when a connection is made.
| ``dataReceived`(self, data)` Protocol.dataReceived. (inherited from `LineReceiver`)
| `endHeaders(self)` (inherited from `HTTPClient`)
| `handleEndHeaders(self)`
| `handleHeader(self, key, value)`
| `handleResponse(self, response)`
| `handleResponseEnd(self)` (inherited from `HTTPClient`)
| `handleResponsePart(self, data)` (inherited from `HTTPClient`)
| `handleStatus(self, version, status, message)`
| `handleStatus_200(self)`
| `handleStatus_301(self)`
| `handleStatus_302(self)`
| `handleStatusDefault(self)`
| ``lineLengthExceeded`(self, line)` Called when the maximum line length has been reached. (inherited from `LineReceiver`)
| ``lineReceived`(self, line)` Override this for when each line is received. (inherited from `HTTPClient`)
| ``rawDataReceived`(self, data)` Override this for when raw data is received. (inherited from `HTTPClient`)
| `sendCommand(self, command, path)` (inherited from `HTTPClient`)
| `sendHeader(self, name, value)` (inherited from `HTTPClient`)
| ``sendLine`(self, line)` Sends a line to the other end of the connection. (inherited from `LineReceiver`)
| ``setLineMode`(self, extra)` Sets the line-mode of this receiver. (inherited from `LineReceiver`)
| ``setRawMode`(self)` Sets the raw mode of this receiver. (inherited from `LineReceiver`)

Class Variable Summary
`int` | `quietLoss`

Method Details

### connectionLost(self, reason)

Called when the connection is shut down.

Clear any circular references here, and any external references to this Protocol. The connection has been closed.

  Parameters:
    `reason`
    (type=`twisted.python.failure.Failure`)
  Overrides:
    `twisted.protocols.http.HTTPClient.connectionLost` (inherited documentation)

### connectionMade(self)

Called when a connection is made.

This may be considered the initializer of the protocol, because it is called when the connection is completed. For clients, this is called once the connection to the server has been established; for servers, this is called after an accept() call stops blocking and a socket has been received. If you need to send any greeting or initial message, do it here.

  Overrides:
    `twisted.protocols.http.HTTPClient.connectionMade` (inherited documentation)

Class Variable Details

### quietLoss

  Type:
    `int`
  Value:

        0

Generated by Epydoc 1.1 on Thu May 8 13:16:56 2003 | http://epydoc.sf.net